/* Import fonts from fonts.css */
@import url('../css/fonts.css');

/* css variables */
@import url('../css/partials/_variables.css');

/* globals styling variable */
@import url('../css/partials/_globals.css');

/* Script for movr up button */
@import url('/css/moveUpBtn.css');

html,body{
    margin: 0%;
    box-sizing: border-box;
    overflow-x: hidden;

}

/*========================== Global Classes ========================== */
a{
    text-decoration: none !important;
    color: var(--text-color) !important;
}

/* .flex-row{  
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

ul{
    list-style-type: none;
} */

h2{
    /* font-family: var(--lexend_deca); */
    font-size: 2.2rem;
}

h3{
    font-family: var(--abel);
    font-size: 1.8rem;
}

button.btn{
    border: none;
    border-radius: 2rem;
    padding: 1rem 3rem;
    font-size: 1rem;
    font-family: var(--livvic);
    cursor: pointer;
}

/* span{
    font-family: var(--abel);
}

.container{
    margin: 0 5vw;
}

.text-gray{
    color: var(--text-gray);
} */

.footer_text::after {
    color: var(--text-gray);
    content: var(--footer_content);
    font-family: var(--josefin_sans);;
}

p{
    font-family: var(--lexend_deca);
    color: var(--text-light);
}

/*========================== Global Classes Ends ==========================*/

/*========================== Navbar Styling ==========================*/
/* Style defined in the __globals stylesheet */
/*========================== End Navbar Styling ==========================*/


/*========================== Page Title Styling ==========================*/

body {
    /* background-image: url('/assets/banner3.png'); */
    background-image: linear-gradient(to right, #a8caba 0%, #5d4157 100%);
    background-size: cover;
    /* background-repeat: no-repeat; */
    background-repeat: repeat;
    justify-content: center;
}

main .page-title .page-background{
    padding-top: 3rem;
    text-align: center;
    color: black;
}

main .page-title h1{
    margin: 0.5rem;
    font-family: var(--josefin_sans);
    font-size: 4rem;
    padding-bottom: 2rem;
}

/*========================== End Page Title Styling ==========================*/


/*========================== Page Content Styling ==========================*/

.page-heading{
    margin-top: 3rem;
    text-align: center;
}
.name{
    margin-top: 3rem;
    font-size: 4rem;
    font-family: var(--lexend_deca);
}
hr.style-one {
    border: 0;
    height: 1px;
    background: #333;
    background-image: -webkit-linear-gradient(left, #ccc, #333, #ccc);
    background-image: -moz-linear-gradient(left, #ccc, #333, #ccc);
    background-image: -ms-linear-gradient(left, #ccc, #333, #ccc);
    background-image: -o-linear-gradient(left, #ccc, #333, #ccc);
}
.container{
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    padding-bottom: 50px;
}
.lib-contents{
    position: relative;
}

.blog-content{
    display: flex;
    flex-direction: column;
    text-align: center;
    width: 25%;
    height: 15%;
    margin: 1.5rem 1.5rem;
    /* box-shadow: var(--box-shadow); */
} 

/* .blog-content img{
    height: 55%;
    width: 55%;
}

.blog-content h3{
    font-size: 25px; 
}

.blog-content {
    padding: 2rem 0.5rem;
} */

/*----------- New card stylting--------------*/
.card{
    position: relative;
    width: 250px;
    height: 250px;
    /* background: url('/assets/c-logo.png') no-repeat; */
    /* background-color: rgb(226, 202, 206) !important; */
    background-size: contain;
    background-repeat: no-repeat;
    /* border-radius: 60%; */
    border-radius: 30px !important;;
    overflow: hidden;
}
.card_content{
    position: absolute;
    bottom: 0;
    width: 100%;
    padding: 20px;
    text-align: right;
    background-color: rgb(231, 253, 180);
    border-top-right-radius: 20px;
    transform: translateY(90px);
    transition: transform .25s;
}
.card_content::before{
    content: '';
    position: absolute;
    top: -47px;
    left: -45px;
    width: 100px;
    height: 100px;
    transform: rotate(-95deg);
    border-radius: 50%;
    box-shadow: inset 48px 48px rgb(231, 253, 180);
}
.card-title{
    color: #6A515E;
    line-height: 15px;
    margin-left: auto; 
    margin-right: 0;
}
.card_subtitle{
    display: block;
    font-size: 12px;
    margin-bottom: 10px;
}
.card_description{
    font-size: 14px;
    opacity: 0;
    transition: opacity .5s;
}
.card:hover .card_content{
    transform: translateY(0);
    cursor: pointer;
}
.card:hover .card_description{
    opacity: 1;
    transition-delay: .25s;
    cursor: pointer;
}
/*----------- End New card stylting--------------*/


/*========================== End Page Content Styling ==========================*/


/*========================== Footer Styling ==========================*/
footer.footer{
    background: var(--title-color);
    /* position: relative;
    padding: 0 2rem; */
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    text-align: center;
}


footer.footer .container h3{
    color: var(--white);
}

footer.footer .rights{
    justify-content: center;
    font-family: var(--josefin_sans);
}

footer.footer .rights a{
    color: var(--white);
}

footer.footer .move-up{
    position:relative;
    /* right: 6%; */
    /* left: 48%; */
    left: 33%;
    top: 50%;
    color: var(--midnight-green);
}

footer.footer .move-up:hover{
    color: var(--white);
    cursor: pointer;
}
/*========================== End Footer Styling ==========================*/


/*========================== viewport less than or equals to 1130px =====================*/

@media only screen and (max-width:1130px){

    .blog-content{
        display: flex;
        flex-direction: column;
        text-align: center;
        width: 25%;
        height: 15%;
        margin: 1.5rem 1.5rem;
        /* box-shadow: var(--box-shadow); */
    } 

    /* .blog-content img{
        height: 50%;
        width: 50%;
    }
    .blog-content h3{
        font-size: 35px !important; 
    } */

    .card{
        width: 190px;
        height: 190px;
        border-radius: 25px !important;
    }
    .card_content{
        height: 80%;
        /* transform: translateY(90px);
        transition: transform .25s; */
    }
    /* .card-title{
        margin-top: 2px;
        line-height: 5px;
    }
    .card_subtitle{
        font-size: 12px;
    }
    .card_description{
        font-size: 14px;
    } */
    /* .card_content::before{
        top: -47px;
        left: -45px;
        width: 100px;
        height: 100px;
    } */
    footer.footer .move-up{
        left: 20%;
    }

}

/*========================== viewport less than or equals to 1130px ends =====================*/

/*========================== viewport less than or equals to 750px =====================*/

@media only screen and (max-width:770px){

    /* .nav .nav-menu, .nav .nav-items{
        flex-direction: column;
    }

    .nav .toggle-collapse{
        display: initial;
    } */

    .blog-content{
        display: flex;
        flex-direction: column;
        text-align: center;
        width: 25%;
        height: 15%;
        margin: 0.5rem 1.5rem;
        /* box-shadow: var(--box-shadow); */
        /* grid-template-columns: repeat(2, 1fr);
        width: 15%;
        height: 8%; */
    } 

    /* .blog-content img{
        height: 80%;
        width: 80%;
    }

    .blog-content h3{
        font-size: 30px !important; 
    } */
    footer.footer .move-up{
        left: 10%;
    }

    .card{
        width: 200px;
        height: 200px;
        border-radius: 25px !important;
    }
    .card_content{
        height: 75%;
    }
    .card-title{
        line-height: 5px;
        margin-bottom: 1px;
    }
    .card_subtitle{
        font-size: 11px;
        margin-bottom: 2px;
    }
    .card_description{
        font-size: 13px;
    }
}

/*=================== viewport less than or equals to 750px close =====================*/


/*=================== viewport less than or equals to 520px =========================*/

@media only screen and (max-width:520px){
    .name{
        font-size: 3rem;
    }

    /* main .page-title .page-background{
        padding-top: 2.5rem;
    }

    main .page-title h1{
        margin: 0.3rem;
        font-size: 3rem;
    }

    nav .toggle-collapse{
        width: 80% !important;
    } */

    .blog-content{
        /* display: flex;
        flex-direction: column;
        text-align: center; */
        width: 30%;
        height: 15%;
        margin: 0.5rem 1.5rem;
        /* box-shadow: var(--box-shadow); */
    } 

    /* .blog-content img{
        height: 70%;
        width: 80%;
    }

    .blog-content h3{
        font-size: 15px !important; 
    } */

    /* footer.footer .rights > div{
        padding: 0.8rem 0.9rem !important; 
    }

    footer.footer .rights{
        padding: 0 1.4rem;
        text-align: center;
    } */

    .card{
        width: 170px;
        height: 170px;
        border-radius: 25px !important;
    }
    .card_content{
        height: 85%;
        /* transform: translateY(90px);
        transition: transform .25s; */
    }
    /* .card-title{
        margin-top: 2px;
        line-height: 5px;
    }
    .card_subtitle{
        font-size: 12px;
    }
    .card_description{
        font-size: 14px;
    } */
    /* .card_content::before{
        top: -47px;
        left: -45px;
        width: 100px;
        height: 100px;
    } */

    footer.footer .move-up{
        left: 22%;
    }
}
/*=================== viewport less than or equals to 520px close =========================*/


/*=================== viewport less than or equals to 380px =========================*/
@media only screen and (max-width:375px){
    .name{
        font-size: 3rem;
    }
    
    footer.footer .move-up{
        left: 14%;
    }
}
/*=================== viewport less than or equals to 380px close =========================*/
